
Redmine - Defect #24822

Start Date, Due Date, percent complete

2017-01-12 22:30 - Mark Wintch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x64-mingw32]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               SQLServer

SCM:

  Filesystem

Redmine plugins:

  redmine_agile                  1.4.1

 I have been researching all day looking for a solution to this or to see if it has already been reported.  That research led me to believe

that the issue has been reported and listed as fixed in Version 3.1.0.  I am running Redmine version 3.3.0 and am getting the same

defect.

From my research it seems that I am experiencing Defect #10769.

The defect I am reporting is that when I have a Tracker that is the parent issue with a set Start Date I can edit said start date.

If, I add subtasks to that parent task however AND change the date of any subtasks then any parent tasks above that subtask get

their start date modified to the start date of the affected subtask. Then, if one attempts to edit the Start Date, Due Date or Percent

Complete none of those fields are displayed in any parent tasks.

In fact, I can have a working parent task, and the moment I attach a subtask to it the Start and Due Date as well as percent done all

disappear from the edit screen.

Thank you.

Mark

History

#1 - 2017-01-12 22:37 - Mark Wintch

- Status changed from New to Resolved

I finally found the solution that was right in front of my face.  Thank you for all of the work you do.  Should anyone else come across this in there

research, you have to go into Administration----->Settings---->Issue tracking Tab and change the  Parent task attributes from calculated from subtasks

to independent of subtasks.  That is what resolved my issue in version 3.3.0

#2 - 2017-01-13 01:13 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

- Affected version deleted (3.3.0)

Thank you for the feedback. I am closing this issue.

The feature was added in Redmine 3.1.0 (#5490).

#3 - 2017-02-09 11:29 - Toshi MARUYAMA
https://www.redmine.org/issues/10769
https://www.redmine.org/issues/5490


- Description updated

Files

Attempt to Edit Parent Task.PNG 24.4 KB 2017-01-12 Mark Wintch

Working Parent.PNG 26.5 KB 2017-01-12 Mark Wintch

Broken Parent Task.PNG 18.7 KB 2017-01-12 Mark Wintch
